Bug 239667 - Constant "Error while Storing folder" Messages
Constant "Error while Storing folder" Messages
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
6
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Matthew Barnes
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-10 09:25 EDT by Matt Jones
Modified: 2008-08-02 19:40 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-15 09:38:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
.evolution file structure (5.41 KB, text/plain)
2007-05-10 13:37 EDT, Matt Jones
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 437458 None None None Never

  None (edit)
Description Matt Jones 2007-05-10 09:25:07 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8.0.10) Gecko/20070313 Fedora/1.5.0.10-5.fc6 Firefox/1.5.0.10

Description of problem:
I use evolution to connect to an IMAP email server hosted by webmail.us.  This has been working for a long time and continues to work on an updated FC6 box at the office.  But for some reason on a fresh install that has been updated to the latest version of evolution and then has an email account configured I get an error every time I switch between folders.

Switch from Inbox to Trash:

Error while Storing folder 'INBOX'.
Server unexpectedly disconnected: Bad file descriptor


Switch back from Trash to Inbox:

Error while Storing folder '.#evolution/Trash'.
Error storing `mjones@webmail.plumgroup.com@mail.emailsrvr.com:INBOX': Server unexpectedly disconnected: Bad file descriptor


Empty the trash:

Error while Expunging folder.
Error storing `mjones@webmail.plumgroup.com@mail.emailsrvr.com:INBOX': Server unexpectedly disconnected: Bad file descriptor

I have searched all over the place and have found suggestions to delete the "*.ev-summary" files.  Deleting these files did not solve the problem, nor did deleting my entire evoltion data folder and preferences and starting over.

It's worth noting that all of my email appears when this error message pops up, the only thing I can't do (despite being irritated) is clear my deleted items.  If you need my .evolution folder stucture let me know.  I can provide it, but it is quite large because I store all of my messages offline.


Version-Release number of selected component (if applicable):
evolution-2.8.3-2, evolution-data-server-1.8.3-6

How reproducible:
Always


Steps to Reproduce:
1. Install FC6
2. yum update to latest version of evolution/evolution-data-server
3. Configure email
4. Click to view my inbox, then click to view any other folder


Actual Results:
The error message "Error while Storing folder 'INBOX'" popped up

Expected Results:
No error message?

Additional info:
Comment 1 Matthew Barnes 2007-05-10 10:31:26 EDT
Sounds like the socket is getting closed prematurely and all subsequent I/O
calls are returning EBADF.  And unfortunately Evolution's approach to error
handling is to simply pop up a dialog any time anything goes wrong.

I'll dig into this and see if I can spot where the socket might be getting
closed, or whether there's a smarter way to deal with errors like this.

In the meantime, I'd be curious to know whether the problem still occurs after
upgrading to Evolution 2.10 (in Fedora 7).
Comment 2 Matthew Barnes 2007-05-10 10:34:59 EDT
I've opened an upstream bug about this:
http://bugzilla.gnome.org/show_bug.cgi?id=437458
Comment 3 Matt Jones 2007-05-10 13:37:33 EDT
Created attachment 154488 [details]
.evolution file structure

I have not had any errors on any other email client (thunderbird, outlook,
outlook express) so if the socket is getting closed prematurely no other client
is reporting these types of errors.  The most bizarre thing is that on my FC6
system at work which is also running the latest version of evolution seems
fine, the only difference that I know of is that it was configured and working
prior to updating to this latest release.  I was able to test this on Fedora 7
and was able to replicate the issue in the same way.  By the way I also
configure this test on Fedora 7 to not synchronize all messages, here is the
.evolution file structure (see attachment).
Comment 4 Matthew Barnes 2007-05-10 15:40:54 EDT
I imagine it's Evolution that's closing the socket prematurely, not the mail
server.  Then it likely leaves the dangling file descriptor lying around and
subsequently tries to reuse it.  But I'm speculating.

Thanks for the extra info.  That should help narrow the search for when and
where this broke.
Comment 5 Matthew Barnes 2007-10-05 00:20:46 EDT
Is this problem still present on Fedora 8 Test 2 or later?
Comment 6 Matěj Cepl 2007-12-10 16:48:25 EST
Fedora Core 6 is no longer supported, could you please reproduce this with the
updated version of the currently supported distribution (Fedora 7, 8, or
Rawhide)? If this issue turns out to still be reproducible, please let us know
in this bug report. If after a month's time we have not heard back from you, we
will have to close this bug as CANTFIX.

Setting status to NEEDINFO, and awaiting information from the reporter.

[This is mass-filed message to all open Fedora Core 6 bugs related to Evolution.
If you see any other reason, why this bug shouldn't be closed, please,
comment on it here.]
Comment 7 Matěj Cepl 2008-01-15 09:38:54 EST
Since there are insufficient details provided in this report for us to
investigate the issue further, and we have not received feedback to the
information we have requested above, we will assume the problem was not
reproducible, or has been fixed in one of the updates we have released for the
reporter's distribution.

Users who have experienced this problem are encouraged to upgrade to the latest
update of their distribution, and if this issue turns out to still be
reproducible in the latest update, please reopen this bug with additional
information.

Closing as INSUFFICIENT_DATA.

{This is mass-closing of all obsolete bugs; if this bug was in your opinion
closed by mistake, please, reopen it with additional information; thanks a lot
and I am sorry for bothering you in such case.}

Note You need to log in before you can comment on or make changes to this bug.